/*
 * @(#) 1.7 SSOA/ws/code/soa.functionEquiv/src/com/ibm/websphere/sca/context/NoSuchServiceException.java, WAS.soa.functionEquiv, SCA101.SSOA, cf051018.03 6/16/09 21:37:00 [5/10/10 22:21:08]
 *
 * COMPONENT_NAME: WAS.soa.functionEquiv
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2007,2008
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 *
 * HISTORY
 * CMVC Ref        Date     Who      Description
 * --------------- -------- -------- --------------------------------------------
 * 552792          10/10/08 yanglei  change header a
 */

package com.ibm.websphere.sca.context;

/**
 * Exception thrown when an non existent service is requested..
 * @ibm-api
 */
public class NoSuchServiceException extends org.osoa.sca.ServiceRuntimeException {

    private static final long serialVersionUID = 1L;

    /**
     * Constructs exception object.
     */
    public NoSuchServiceException() {
        super();
    }

    /**
     * Constructs exception object.
     * 
     * @param reason a message describing reason for.
     */
    public NoSuchServiceException(String reason) {
        super(reason);
    }

    /**
     * Constructs exception object.
     * 
     * @param reason a message describing reason for.
     * @param cause a throwable object representing cause for this exception.
     */
    public NoSuchServiceException(String reason, Throwable cause) {
        super(reason, cause);
    }

    /**
     * Constructs exception object.
     * 
     * @param cause a throwable object representing cause for this exception.
     */
    public NoSuchServiceException(Throwable cause) {
        super(cause);
    }

}
